local projector = {}
projector.name = "EvaHelper/DiscoProjector"
projector.depth = 0
projector.placements = {
    {
        name = "Disco Projector",
        data = {
			angle = 0,
			period = 2.4,
			color = "FF0000",
			alpha = 0.3,
			tag = "",
			flag = "",
			clockwise = true,
			bothDirections = false,
			visible = true
		}
    }
}

projector.fieldInformation = {
    color = {
        fieldType = "color"
    }
}

projector.fieldOrder = { "x", "y", "angle", "period", "color", "alpha", "tag", "clockwise", "bothDirections", "visible" }

function projector.texture(room, entity)
    return "Evidence02/objects_dance/ahorn/projector"
end

return projector
